Bug 1692070 - Review Request: python-pystemd - A thin Cython-based wrapper on top of libsystemd
Summary: Review Request: python-pystemd - A thin Cython-based wrapper on top of libsys...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Caron
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-24 00:49 UTC by Neal Gompa
Modified: 2019-05-07 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-06 20:45:52 UTC
Type: ---
lead2gold: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2019-03-24 00:49:03 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/pystemd/fedora-rawhide-x86_64/00869404-python-pystemd/python-pystemd.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/ngompa/pystemd/fedora-rawhide-x86_64/00869404-python-pystemd/python-pystemd-0.6.0-1.fc31.src.rpm

Description:
This library allows you to talk to systemd over D-Bus from Python,
without actually thinking that you are talking to systemd over D-Bus.

This allows you to programmatically start/stop/restart/kill and verify
service status from systemd point of view, avoiding subprocessing systemctl
and then parsing the output to know the result.


Fedora Account System Username: ngompa

Comment 1 Chris Caron 2019-03-24 20:24:15 UTC
Hi,

I just reviewed your package and here is what I've found so far.

Notes:
- Changelog format needs to be updated slightly; see
   - https://docs.fedoraproject.org/en-US/packaging-guidelines/#changelogs

- python3-%{pypi_name} package entry is missing Requires: references.
  I presume you will require systemd and/or dbus to be availble?

- you got a lot of /usr/bin/env python3 references in files that are clearly
  not meant to be executable.  Removing these should clear up a good number of
  the rpmlint checks identified at the bottom

- There are some minor spelling errors, but nothing major

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 30 files have unknown license. Detailed
     output of licensecheck in /home/l2g/Development/reviews/review-python-
     pystemd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-pystemd
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pystemd-0.6.0-1.fc29.x86_64.rpm
          python-pystemd-debugsource-0.6.0-1.fc29.x86_64.rpm
          python-pystemd-0.6.0-1.fc29.src.rpm
python3-pystemd.x86_64: W: spelling-error Summary(en_US) libsystemd -> subsystem
python3-pystemd.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
python3-pystemd.x86_64: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
python3-pystemd.x86_64: W: spelling-error %description -l en_US subprocessing -> sub processing, sub-processing, processioning
python3-pystemd.x86_64: W: spelling-error %description -l en_US systemctl -> systemic
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/DBus/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/DBus/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/__version__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/__version__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/base.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/base.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/exceptions.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/exceptions.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/machine1/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/machine1/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/machine1/machine.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/machine1/machine.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/machine1/manager.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/machine1/manager.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/run.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/run.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/manager.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/manager.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit_signatures.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit_signatures.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/utils.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/utils.py 644 /usr/bin/env python3
python-pystemd.src: W: spelling-error Summary(en_US) libsystemd -> subsystem
python-pystemd.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
python-pystemd.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
python-pystemd.src: W: spelling-error %description -l en_US subprocessing -> sub processing, sub-processing, processioning
python-pystemd.src: W: spelling-error %description -l en_US systemctl -> systemic
3 packages and 0 specfiles checked; 28 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-pystemd.x86_64: W: spelling-error Summary(en_US) libsystemd -> subsystem
python3-pystemd.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
python3-pystemd.x86_64: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
python3-pystemd.x86_64: W: spelling-error %description -l en_US subprocessing -> sub processing, sub-processing, processioning
python3-pystemd.x86_64: W: spelling-error %description -l en_US systemctl -> systemic
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/DBus/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/DBus/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/__version__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/__version__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/base.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/base.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/exceptions.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/exceptions.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/machine1/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/machine1/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/machine1/machine.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/machine1/machine.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/machine1/manager.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/machine1/manager.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/run.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/run.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/__init__.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/__init__.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/manager.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/manager.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit_signatures.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/systemd1/unit_signatures.py 644 /usr/bin/env python3
python3-pystemd.x86_64: E: wrong-script-interpreter /usr/lib64/python3.7/site-packages/pystemd/utils.py /usr/bin/env python3
python3-pystemd.x86_64: E: non-executable-script /usr/lib64/python3.7/site-packages/pystemd/utils.py 644 /usr/bin/env python3
2 packages and 0 specfiles checked; 28 errors, 7 warnings.

Comment 2 Neal Gompa 2019-04-07 23:59:08 UTC
ON_QA status is for Bodhi...


> - Changelog format needs to be updated slightly; see
>   - https://docs.fedoraproject.org/en-US/packaging-guidelines/#changelogs
>

This changelog format is compatible in all current Fedora releases.

It's being used in other packages now too: https://src.fedoraproject.org/rpms/libsolv/blob/master/f/libsolv.spec#_304

It does not work on EL7, but this package is literally not compatible with EL7 systemd. I can change it if you insist...

> - python3-%{pypi_name} package entry is missing Requires: references.
>   I presume you will require systemd and/or dbus to be availble?

The runtime dependencies will be autogenerated through the Python dependency generator or the regular library dependency generator.

> - you got a lot of /usr/bin/env python3 references in files that are clearly
>   not meant to be executable.  Removing these should clear up a good number of
>   the rpmlint checks identified at the bottom

I'll clean those up.

Comment 3 Chris Caron 2019-04-08 01:47:35 UTC
> This changelog format is compatible in all current Fedora releases.
> It's being used in other packages now too: https://src.fedoraproject.org/rpms/libsolv/blob/master/f/libsolv.spec#_304
> It does not work on EL7, but this package is literally not compatible with EL7 systemd. I can change it if you insist...

I don't see the harm in leaving it; I was just basing it on what was outlined in the current standards. It wouldn't hurt to change just to remain forwards compatible; who knows when you might generate some rpmlint error in the future. That all said, no harm is done if you don't; it's definitely not a show stopper by any means :)

As per your other things, I've got no additional comments.

Comment 4 Chris Caron 2019-04-17 23:13:18 UTC
Just let me know when you've got the new spec and srpm to try and I'll check it out.

Comment 6 Chris Caron 2019-04-23 23:46:24 UTC
Lint errors are all fixed; other comments were already discussed and/or addressed.  So i'm good! Great job; sorry to have been a pain :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-pystemd
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Comment 7 Igor Raits 2019-04-24 06:15:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pystemd

Comment 8 Fedora Update System 2019-04-26 22:58:37 UTC
python-pystemd-0.6.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d1aba99b9

Comment 9 Fedora Update System 2019-04-26 22:58:41 UTC
python-pystemd-0.6.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a249c86855

Comment 10 Fedora Update System 2019-04-26 22:58:45 UTC
python-pystemd-0.6.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-42db34e3d2

Comment 11 Fedora Update System 2019-04-27 22:30:41 UTC
python-pystemd-0.6.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-42db34e3d2

Comment 12 Fedora Update System 2019-04-27 23:11:47 UTC
python-pystemd-0.6.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a249c86855

Comment 13 Fedora Update System 2019-04-28 00:13:42 UTC
python-pystemd-0.6.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3d1aba99b9

Comment 14 Fedora Update System 2019-05-06 20:45:52 UTC
python-pystemd-0.6.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-07 04:49:51 UTC
python-pystemd-0.6.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-07 14:23:33 UTC
python-pystemd-0.6.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.